## org.eclipse.emf.codegen.merge.java.facade.jdom
Class JDOMJCompilationUnit

    java.lang.Object
      org.eclipse.emf.codegen.merge.java.facade.AbstractJNode
          org.eclipse.emf.codegen.merge.java.facade.jdom.JDOMJNode
              org.eclipse.emf.codegen.merge.java.facade.jdom.JDOMJCompilationUnit

All Implemented Interfaces:
  JCompilationUnit, JNode

    public class JDOMJCompilationUnit

extends JDOMJNode
implements JCompilationUnit

Since:
  2.2.0

Field Summary
`protected java.lang.String` `originalContent`

Fields inherited from class org.eclipse.emf.codegen.merge.java.facade.AbstractJNode
`EMPTY_STRING_ARRAY, qualifiedName`

Constructor Summary
`JDOMJCompilationUnit(org.eclipse.jdt.core.jdom.IDOMCompilationUnit compilationUnit)`

Method Summary
`java.lang.String` `getHeader()` Returns the header comment for this compilation unit.
`java.lang.String` `getOriginalContent()`
`protected org.eclipse.jdt.core.jdom.IDOMCompilationUnit` `getWrappedObject()`
`void` `setHeader(java.lang.String header)` Sets the header comment for this compilation unit.
`void` `setOriginalContent(java.lang.String originalContent)`

Methods inherited from class org.eclipse.emf.codegen.merge.java.facade.jdom.JDOMJNode
`dispose, getChildren, getContents, getFacadeHelper, getFlags, getName, getParent, isDisposed, setFacadeHelper, setFlags, setName`

Methods inherited from class org.eclipse.emf.codegen.merge.java.facade.AbstractJNode
`computeQualifiedName, computeQualifiedName, computeQualifiedName, computeQualifiedName, getName, getQualifiedName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.codegen.merge.java.facade.JNode
`getChildren, getContents, getFlags, getName, getParent, getQualifiedName, setFlags, setName`

Field Detail

### originalContent

    protected java.lang.String originalContent

Constructor Detail

### JDOMJCompilationUnit

    public JDOMJCompilationUnit(org.eclipse.jdt.core.jdom.IDOMCompilationUnit compilationUnit)

Method Detail

### getWrappedObject

    protected org.eclipse.jdt.core.jdom.IDOMCompilationUnit getWrappedObject()

  Overrides:
    `getWrappedObject` in class `JDOMJNode`

### getHeader

    public java.lang.String getHeader()

  Description copied from interface: `JCompilationUnit`
  Returns the header comment for this compilation unit. The header comment appears before the first declaration in a compilation unit.

  Specified by:
    `getHeader` in interface `JCompilationUnit`
  Returns:
    the header comment for this compilation unit, or `null` if no header comment is present

### setHeader

    public void setHeader(java.lang.String header)

  Description copied from interface: `JCompilationUnit`
  Sets the header comment for this compilation unit. The header comment appears before the first declaration in a compilation unit. The syntax for a comment corresponds to Comments (JLS2 3.7), including comment delimiters.

  Specified by:
    `setHeader` in interface `JCompilationUnit`
  Parameters:
    `header` - the header comment for this compilation unit, or `null` if indicating no header comment

### setOriginalContent

    public void setOriginalContent(java.lang.String originalContent)

### getOriginalContent

    public java.lang.String getOriginalContent()

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.